> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Updates

## Request

#### Header

<ParamField header="Accept-Language" type="string" default="EN">
  * NL: Dutch - FR: French - EN: English
</ParamField>

#### Body

<ParamField path="legalEntities" type="array">
  <Expandable title="legal entity properties">
    <ResponseField name="legalEntityId" type="string" required>
      Obfuscated legalEntityId returned by the company legal entities endpoint.
    </ResponseField>
  </Expandable>

  <Note>You can request up to 100 legal entities at once.</Note>
</ParamField>

<ParamField body="limit" type="number" default="4">
  Number of items to return per page. (max 500)
</ParamField>

<ParamField body="offset" type="number" default="0">
  Number of items to skip.
</ParamField>

## Response

<Note>
  The same limit and offset are shared over all legal entities. `limit` may not exceed 100, and `legalEntities.length x limit` may not exceed 500.
</Note>

<ResponseExample>
  ```json Response - 200 theme={null}
  [
      {
          "identifier": {
              "legalEntityId": "1778186251",
              "countryCode": "BE",
              "name": "Bizzy AI",
              "isPrimary": true
          },
          "data": {
              "updates": [
                  {
                      "id": "1479881766",
                      "type": "GROSS_MARGIN_GROWTH",
                      "title": "Gross margin grew by 96%",
                      "time": "2025-07-28",
                      "sourceUrl": null,
                      "sourceType": null,
                      "status": "ACTIVE"
                  },
                  {
                      "id": "1554091785",
                      "type": "PUBLISHED_FINANCIALS",
                      "title": "Financials were published for 2024",
                      "time": "2025-07-28",
                      "sourceUrl": null,
                      "sourceType": null,
                      "status": "ACTIVE"
                  },
                  {
                      "id": "1095951900",
                      "type": "HEALTHDROP",
                      "title": "Health increased by 2",
                      "time": "2025-07-28",
                      "sourceUrl": null,
                      "sourceType": null,
                      "status": "ACTIVE"
                  },
                  {
                      "id": "628737772",
                      "type": "PEOPLE_LEFT",
                      "title": "David Du Pré, Lorenz Bogaert, Nicolas Van Eenaeme and Toon Coppens left their role as Director",
                      "time": "2025-06-09",
                      "sourceUrl": null,
                      "sourceType": null,
                      "status": "ACTIVE"
                  }
              ]
          },
          "pagination": {
              "limit": 4,
              "offset": 0,
              "total": 18
          },
          "message": null
      },
      {
          "identifier": {
              "legalEntityId": "12345678"
          },
          "data": null,
          "pagination": null,
          "message": "Legal entity not found"
      }
  ]
  ```
</ResponseExample>
